Web & Classic Hosting Help

Can I use Python 2.7.2 with my hosting account?

Only our Deluxe, Premium, Unlimited, or Ultimate Linux Web or Classic hosting accounts support Python. For more information, see What type of hosting account do I have?

NOTE: cPanel and Plesk shared hosting accounts do not support Python 2.7.

If your hosting account supports Python, you can use Python 2.7.2 by either:

  • Referencing the path to our Python 2.7.2 installation:
    #!/usr/local/bin/python2.7
  • Using the virtualenv module to create a virtual Python environment. This gives you greater control and flexibility, as well.

About Using the virtualenv Module

To use this feature, you must enable SSH. For more information, see Enable SSH.

For more information about using the virtualenv module, see Python's documentation.

Please note the following:

  • You cannot use any modules that require a compiler within the virtual Python environment.
  • We install mysql-python by default so you can make MySQL connections.
  • You can use easy_install or pip to install modules you need. For more information, see Peak's easy_install documentation and Python's pip documentation.

Was This Article Helpful?
Thank You For Your Feedback
Glad we helped! Anything more we can do for you?
Sorry about that. How can we be more helpful?